#!/usr/bin/env bash

_common_setup() {
  load '/usr/lib/bats/bats-support/load'
  load '/usr/lib/bats/bats-assert/load'
  load '/usr/lib/bats/bats-file/load'

  load "$PWD/tests/integration/helpers/app"
  load "$PWD/tests/integration/helpers/git"
  load "$PWD/tests/integration/helpers/recipe"
  load "$PWD/tests/integration/helpers/server"

  export ABRA="$PWD/abra"
  export KADABRA="$PWD/kadabra"

  export TEST_APP_NAME="$(basename "${BATS_TEST_FILENAME//./_}")"
  export TEST_APP_DOMAIN="$TEST_APP_NAME.$TEST_SERVER"
  export TEST_RECIPE="abra-integration-test-recipe"
}
