#!/usr/bin/env bash

_fetch_recipe() {
  if [[ -z "$1" ]]; then
    echo 'forgot to pass argument to function?'
    exit 1
  fi

  if [[ ! -d "$ABRA_DIR/recipes/$1" ]]; then
    run mkdir -p "$ABRA_DIR/recipes"
    assert_success

    run git clone "https://git.coopcloud.tech/coop-cloud/$1" "$ABRA_DIR/recipes/$1"
    assert_success
  fi
}
